package com.huimv.env.admin.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.huimv.env.common.entity.EnvDeviceOnline;
import com.huimv.env.common.service.IEnvDeviceOnlineService;
import com.huimv.env.common.utils.Result;
import com.huimv.env.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-02
 */
@CrossOrigin
@RestController
@RequestMapping("/envDeviceOnline")
public class EnvDeviceOnlineController {
    @Autowired
    private IEnvDeviceOnlineService envDeviceOnlineService;
    @RequestMapping("/list")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        List<EnvDeviceOnline> list = envDeviceOnlineService.list(new QueryWrapper<EnvDeviceOnline>().eq("farm_id", farmId).orderByAsc("creat_time"));
        return  new Result(ResultCode.SUCCESS,list);
    }


}
