package com.huimv.env.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.common.entity.EnergyData;
import com.huimv.env.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 耗能数据 服务类
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
public interface IEnergyDataService extends IService<EnergyData> {
    Result listCount(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listData(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listRank(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //大屏
    Result listDataScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listRankScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listAll(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result listAll2(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result countEnergy(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);


    Result sumCount(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

}
