package com.huimv.env.device;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;

@ComponentScans({@ComponentScan("com.huimv.env.common.utils"), @ComponentScan("com.huimv.env.common.service"),@ComponentScan("com.huimv.env.common.config")})
@EntityScan(value = "com.huimv.env.common.entity")
@MapperScan("com.huimv.env.common.mapper")
//@EnableJpaRepositories(basePackages = "com.huimv.env.common.dao.repo")
@EnableConfigurationProperties
@SpringBootApplication
public class HuimvDeviceApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvDeviceApplication.class, args);
    }
}
