package com.huimv.env.input.producer;

import com.huimv.env.common.utils.Const;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
@Slf4j
public class Producer {
    @Autowired
    RabbitTemplate rabbitTemplate;  //使用RabbitTemplate,这提供了接收/发送等等方法


    public String sendShuiBiaoData(String askText) {
        Map map = new HashMap();
        map.put("askText",askText);
        rabbitTemplate.convertAndSend(Const.EXCHANGE_ENV_SHUI_HUIMV_DATA, Const.ROUTING_KEY_ENV_SHUI_HUIMV_DATA, map);
        return "ok";
    }

}
